Subject: Re: [PATCH net-next] docs: netdev: document patchwork patch states

From: Jakub Kicinski <[email-masked]>
Date: Mon, 28 Aug 2023 12:23:19 -0700

On Mon, 28 Aug 2023 22:09:11 +0300 Laurent Pinchart wrote:
> > +New, Under review  pending review, patch is in the maintainer’s queue for review  
> 
> Is there a meaningful distinction between "New" and "Under review", or
> are they exactly the same ? The former sounds like nobody has looked at
> the patch yet, while the latter seems to indicate someone has assigned
> the task of reviewing the patch to themselves, but maybe netdev uses
> those two states differently ?

The honest answer is that I don't know. I used to think that the
distinction is as you described - after someone done the initial triage
on the patch it goes New -> Under review.

But there's little consistency with that happening and it's unclear what
"initial triage" constitutes at this stage, so for all practical
purposes New == Under review.

> > +Accepted           patch was applied to the appropriate networking tree, this is
> > +                   usually set automatically by the pw-bot
> > +Needs ACK          waiting for an ack from an area maintainer or testing  
> 
> How does this differ from "Under review" ?

This indicates that netdev maintainers are waiting for someone who
is not a netdev maintainer. Let me s/maintainer/expert/ to make that
clearer-ish.